This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 493556 - Deadkeys in Norwegian Nynorsk language setting (kde) doesn't work properly.
Deadkeys in Norwegian Nynorsk language setting (kde) doesn't work properly.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 05:00 EDT by Karl Magnus Kolstø
Modified: 2009-05-19 20:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.5-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 20:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Magnus Kolstø 2009-04-02 05:00:20 EDT
Description of problem:
Deadkeys in Norwegian Nynorsk language setting doesn't work properly.

Deadkeys doesn't work as they should under KDE using nynorsk (Norwegian Nynorsk)
language settings.

Version-Release number of selected component (if applicable):
libX11-1.1.5-2 (or earlier)

How reproducible:
Every time

Steps to Reproduce:
1. Choose "Norsk (nynorsk)(Noreg)"(Norwegian Nynorsk) as language
2. Log in using KDE (should also be possible to see with kde-programs under gnome too)
3. Start e.g kile, konquorer or other kde program (also easily seen with xterm under kde)
4. In some text box/text input mode try to type é, õ or similar combined characters (é being ' + e and õ being ~ + o )
if you get two characters as an output and not the combined, that is an error.
  
Actual results:
'e  ~o

Expected results:
é õ

Additional info:
In the file /usr/share/X11/locale/compose.dir you have the following;
$ grep ny_NO /usr/share/X11/locale/compose.dir
iso8859-1/Compose		ny_NO.ISO8859-1
iso8859-15/Compose		ny_NO.ISO8859-15
en_US.UTF-8/Compose		ny_NO.UTF-8
iso8859-1/Compose:		ny_NO.ISO8859-1
iso8859-15/Compose:		ny_NO.ISO8859-15
en_US.UTF-8/Compose:		ny_NO.UTF-8

and these
$ grep nn_NO /usr/share/X11/locale/compose.dir
iso8859-1/Compose		nn_NO.ISO8859-1
iso8859-15/Compose		nn_NO.ISO8859-15
iso8859-1/Compose:		nn_NO.ISO8859-1
iso8859-15/Compose:		nn_NO.ISO8859-15

and also these (for Norwegian Bokmål)
$ grep nb_NO /usr/share/X11/locale/compose.dir
iso8859-1/Compose		nb_NO.ISO8859-1
iso8859-15/Compose		nb_NO.ISO8859-15
en_US.UTF-8/Compose		nb_NO.UTF-8
iso8859-1/Compose:		nb_NO.ISO8859-1
iso8859-15/Compose:		nb_NO.ISO8859-15
en_US.UTF-8/Compose:		nb_NO.UTF-8


According to several people I have talked to (also people doing lots of Norwegian translations of Free Software)  ny_NO is *NOT* a proper language code for norwegian nynorsk.  nn_NO *IS* the proper code.

When editing /usr/share/X11/locale/compose.dir, basically commenting out all
ny_NO entries and adding the two UTF-8 entries for nn_NO the deadkeys started
to work as expected.

Hope this can be fixed soon.
Comment 1 Fedora Update System 2009-04-28 00:03:31 EDT
libX11-1.1.5-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libX11-1.1.5-4.fc10
Comment 2 Fedora Update System 2009-05-02 12:36:25 EDT
libX11-1.1.5-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libX11'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4165
Comment 3 Fedora Update System 2009-05-19 20:47:51 EDT
libX11-1.1.5-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.